/*!
 * \file slide.cpp
 * \brief A slide object to store information about a slide in the RMS.
 *
 * A slide object to store information about a slide in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/content/slides/slide.h>

using namespace std;
using namespace rms;

slide::slide(int slideid, string img, string caption, int index)
{
  // assign the fields
  this->slideid = slideid;
  this->img = img;
  this->caption = caption;
  this->index = index;
}

int slide::get_slideid()
{
  return slideid;
}

string slide::get_img()
{
  return img;
}

string slide::get_caption()
{
  return caption;
}

int slide::get_index()
{
  return index;
}
