/*!
 * \file condition.cpp
 * \brief A condition object to store information on a condition entry in the RMS.
 *
 * A condition object to store information on a condition entry in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/user_studies/conditions/condition.h>

using namespace std;
using namespace rms;

condition::condition(int condid, int studyid, string name, int intid)
{
  // assign the fields
  this->condid = condid;
  this->studyid = studyid;
  this->name = name;
  this->intid = intid;
}

int condition::get_condid()
{
  return condid;
}

int condition::get_studyid()
{
  return studyid;
}

string condition::get_name()
{
  return name;
}

int condition::get_intid()
{
  return intid;
}
