/*!
 * \file study_log.cpp
 * \brief A study_log object to store information on a study log entry in the RMS.
 *
 * A study_log object to store information on a study log entry in the RMS.
 *
 * \author Russell Toris, WPI - rctoris@wpi.edu
 * \date December 30, 2012
 */

#include <rmscpp/user_studies/study_logs/study_log.h>

using namespace std;
using namespace rms;

study_log::study_log(int logid, int expid, string timestamp, string entry)
{
  // assign the fields
  this->logid = logid;
  this->expid = expid;
  this->timestamp = timestamp;
  this->entry = entry;
}

int study_log::get_logid()
{
  return logid;
}

int study_log::get_expid()
{
  return expid;
}

string study_log::get_timestamp()
{
  return timestamp;
}

string study_log::get_entry()
{
  return entry;
}
